Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.editor.util
Class SELayout

    java.lang.Object
      j3deditor.bin.editor.util.SELayout

All Implemented Interfaces:
  java.awt.LayoutManager

    public class SELayout

extends java.lang.Object
implements java.awt.LayoutManager

The `SELayout` class is a layout manager for `SceneEditor`.

Author:
  Risto Seene
See Also:
  `SceneEditor`

Constructor Summary
`SELayout(int width, int height)` Creates an instance of `SELayout`.

Method Summary
`void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)` Required by LayoutManager.
`void` | `layoutContainer(java.awt.Container parent)` Required by LayoutManager.
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)` Required by LayoutManager.
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)` Required by LayoutManager.
`void` | `removeLayoutComponent(java.awt.Component comp)` Required by LayoutManager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SELayout

    public SELayout(int width,
                    int height)

  Creates an instance of `SELayout`.

  Parameters:
    `width` - width of the top left component
    `height` - height of the top left component

Method Detail

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Required by LayoutManager.

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `name` - doesn't do anything
    `comp` - doesn't do anything

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Required by LayoutManager.

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `comp` - doesn't do anything

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Required by LayoutManager.

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - doesn't do anything
  Returns:
    (0, 0)

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Required by LayoutManager.

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - doesn't do anything
  Returns:
    (0, 0)

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Required by LayoutManager. Lays out the component into the given container.

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - container which components will be layd out

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD